
QGIS Application - Bug report #20679

QGIS Crashed when closing project without saving

2018-11-29 05:02 PM - Brantly Goodwin

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28499

Description

User Feedback

I was trying to georeference a pdf file and shut the points panel by mistake. When I got the panel back, I could not select a point from the

map. Being new at this, I figured the way to getg back to normal was to shut the project without saving. When I closed the project without

saving I got the crash.

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2018-11-29 05:04 PM - Giovanni Manghi
- Subject changed from :( QGIS Crashed to QGIS Crashed when closing project without saving

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Actions to Unknown

- Crashes QGIS or corrupts data changed from No to Yes

Is this 100% replicable with the same steps and data?

#2 - 2018-11-30 08:39 AM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#3 - 2018-11-30 08:40 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to duplicate
